Category Posts Widget – WordPress plugin Free download

Click to Download

Category Posts Widget

Description

Category Posts Widget is a light widget designed to do one thing and do it well: display the most recent posts from a certain category.

Term and Category based Posts Widget

A premium version of that free widget available at tiptoppress.com created for big WordPress sites.

Premium features

Image-Slider
Post List “Alterations”
Full background post images
Masonry (responsive layouts), Grid and Column full page layouts
More complex ways to filter (ANY, NOT, AND, not include children)
Custom Post Types, Events, Products support
Add-ons
All free features
E-Mail support
Free trail on localhost
More examples on the demo pages

Features

Template to arrange the post details.
The Template text can be a post details placeholder, plain text, HTML or a font-icons.
Font-icon support.
Shortcode (Easily change all Shortcode options in the customizer).
New date format: Time since plublished
Filter by post status: Published, scheduled, private.
Multiple shortcodes at the same site or post.
Add option for post offset (use two or more widgets after another).
Add UI buttons in the editor toolbar to insert shortcode.
Option to touch device friendly “everything is a link”.
For editing shortcode adds a Customizer link to the admin-bar (“With one click to the Customizer”).
Set thumbnail width & height.
Fluid images for Responsive Layouts.
Option to set mouse hover effects for post thumbnail.
Set a default thumbnail.
Hide widget text.
Option to hide posts which have no thumbnail.
Option exclude current post.
Option show post author, comment’s count, post date.
Multi sites support.

Documentation

Full documentation
Shortcode: Use [catposts] in the content and edit in the customizer
Formatting date and time: See Formatting Date and Time

Contribute

While using this plugin if you find any bug or any conflict, please submit an issue at
Github (If possible with a pull request).

Screenshots

Front end of the widget with SVG font-icon support for post formats, hover effects and the Template text-area.
Template to arrange the post details with placeholders.
Edit the widget options with the customizer.
Use shortcode [catposts] in the content.
The widget configuration dialog.
Widget behaviour settings for each user.

Installation

Automatic installation

Automatic installation is the easiest option as WordPress handles the file transfers itself and you don’t need to leave your web browser. To do an automatic install of Category Posts Widget,

log in to your WordPress dashboard, navigate to the Plugins menu and click Add New.
In the search field type “Category Posts Widget” and click Search Plugins.
Once you’ve found plugin, you can install it by simply clicking “Install Now”.
Then, go to plugins page of WordPress admin activate the plugin.
Now, goto the Widgets page of the Appearance section and configure the Category Posts widget.

Manual installation

Click to Download the plugin.
Upload it to the plugins folder of your blog.
Activate the plugin through the ‘Plugins’ menu in WordPress
Now, goto the Widgets page of the Appearance section and configure the Category Posts widget.

FAQ

Template, placeholder and post detail

Here You can control the Post Detail parts, which appears as part of the post item. All post detail will placed as placeholder. The text in the Template area can be a post details placeholder, plain text, HTML or HTML for SVG icons.

How it works? and examples.

For more layout options please try our premium widget: Term and Category based Posts Widget.

Use SVG icons

For SVG font-icon HTML we recommend the WordPress Dashicons, which are included as default and can be used without any font-icon including.

How to use Page Bilder plugins like Divi, SiteOrigin Page Builder or Elementor

Please read more about Page Builder plugins at our FAQs

Parse error: syntax error, unexpected T_FUNCTION in /home/www/blog/wp-content/plugins/category-posts/cat-posts.php on line 58

Some of the features that were used in that version needs PHP 5.3+.
We apologies for any headache this may cause you, but frankly it is better for you to check with your hosting company how can you upgrade the PHP version that you are using, and not only in order to use this plugin. PHP 5.2 should be considered insecure now, and for your own sake you should upgrade.
PHP 5.2 is very old and any support for it from the php developers had ended more then 5 years ago php.net/eol.php.
We know there are peopel how use PHP 5.2 wordpress.org/about/stats and we can’t imagine this people will have no other problems, if they don’t update.

You check the PHP version with phpversion(), but the widget don’t work

Check also the .htaccess file, if there is an entry for an older PHP version.

Reviews

Leave a Reply

Your email address will not be published. Required fields are marked *